Get form response keys
GET
/v2/tenant/{tenantKey}/form/{formTemplateKey}/responses
const url = 'https://sender.api.kivra.com/v2/tenant/example/form/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/responses';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/tenant/example/form/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/responses \ --header 'Authorization: Bearer <token>'Only the client that created the form template associated with the response can call this endpoint.
Given a tenant key and a form template key returns the form response key associated with form responses submitted by users.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique key for a tenant for whom the form responses belong to.
formTemplateKey
required
string format: uuid
The form template key associated with the form responses.
Responses
Section titled “Responses”Form response ids
Media typeapplication/json
FormResponseKeys
object
form_template_key
required
The form template key associated with the form responses.
string format: uuid
responses
required
Metadata about the form response
Array<object>
object
form_response_key
A key used to identify the individual form response.
string format: uuid
Example
{ "form_template_key": "2877d684-a340-4e4c-867f-d93283787b01", "responses": [ { "form_response_key": "bed773d7902942f29f0b0729390c962c" } ]}Can’t process the request. Likely due to a client error.
Not authorized to make the request
Forbidden from accessing the form response keys
The form template associated with formTemplateKey does not exist.